<?php
error_reporting(0);
include('../start.php');
include("../config.php");
include("../includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;

$ref = rand(1000, 9999);
///////////////////////////////////////////////////////////////////////////
$stavka = htmlspecialchars(mysql_escape_string(trim(intval($_POST['stavka']))));
///////////////////////////////////////////////////////////////////////////


$ttl="Угадайка";
$banner = file("../system/banner.dat");
$ssylka = trim($banner[0]);
$img = trim($banner[1]);
$igra = trim($banner[5]);
switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `posts`, `gbalans` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"Ошибка\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
echo"<br/>$wmlfoot";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$posts = mysql_result($q, 0, 'posts');
$gbalans = mysql_result($q, 0, 'gbalans');

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

$my=$stavka;

$master=mt_rand(1,10);

$myvalent=$stavka+$stavka;

$myzhopa=$posts-$stavka;

$mywin=$posts+$myvalent;

$gmyzhopa=$gbalans-$stavka;

$gmywin=$gbalans+$myvalent;


echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"Угадайка\"><p align=\"left\">\n";



if(isset($_GET['case']))
{
$case = $_GET['case'];
}
else
{
$case = "";
}



switch($case)
{
case 'itog':
//
if($stavka>10)
{
echo "Ставка не должна превышать 10 очков<br/>";
}
else
{
if($my<"$master")
{
$myzhopa = intval($myzhopa);
$gmyzhopa = intval($gmyzhopa);
@mysql_query("update chat_users set posts='".$myzhopa."', gbalans='".$gmyzhopa."' where id='".$id."'; ");
echo "Вы загадали: ".$my."<br/>";
echo "Мастер загадал: ".$master."<br/>";
echo "Вы проиграли<br/>";
echo "Ваш проигрыш: ".$stavka." постов<br/>";
}
}
//
if($my=="$master")
{
$mywin = intval($mywin);
$gmyzhopa = intval($gmyzhopa);
@mysql_query("update chat_users set posts='".$mywin."', gbalans='".$gmyzhopa."' where id='".$id."'; ");
echo "Вы загадали: ".$my."<br/>";
echo "Мастер загадал: ".$master."<br/>";
echo "Вы выиграли<br/>";
echo "Ваш выигрыш: ".$myvalent." постов<br/>";
}

//
if($my>"$master")
{
$myzhopa = intval($myzhopa);
$gmyzhopa = intval($gmyzhopa);
@mysql_query("update chat_users set posts='".$myzhopa."' , gbalans='".$gmyzhopa."' where id='".$id."'; ");
echo "Вы загадали: ".$my."<br/>";
echo "Мастер загадал: ".$master."<br/>";
echo "Вы проиграли<br/>";
echo "Ваш проигрыш: ".$stavka." постов<br/>";
}
break;


default:
if($posts<"50")
{
echo "У Вас недостаточно постов для игры!<br/>";
echo "Необходимо не менее 50 постов<br/>";
}
else
{
echo "<b>Угадай число</b><br/>";
echo "У Вас постов: <b>".$posts."</b><br/>";
echo "Игровой баланс: <b>".$gbalans."</b><br/>";
echo "Ваша ставка:<br/>";
echo "От 1 до 10<br/>";
echo "<input name=\"stavka\" title=\"stavka\" maxlength=\"10\" format=\"*N\"/><br/>";
echo "<anchor title=\"go\">Играть<go href=\"/games/ugadaika.php?".SID."&amp;ver=wml&amp;case=itog\" method=\"post\">";
echo "<postfield name=\"stavka\" value=\"$(stavka)\"/>";
echo "</go></anchor>";
echo "<br/>";
}
break;
}

if(!empty($case)) echo "• <a href=\"/games/ugadaika.php?".SID."&amp;ver=wml\">Угадайка</a><br/>\n";
echo "• <a href=\"/menu/wml\">В прихожую</a><br/>\n";
include('../banners/igra');
echo"<br/>$wmlfoot";
echo "</p></card></wml>";
break;
////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `posts`, `gbalans` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
include('../banners/igra');
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

$posts = mysql_result($q, 0, 'posts');
$gbalans = mysql_result($q, 0, 'gbalans');

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

$my=$stavka;

$master=mt_rand(1,10);

$myvalent=$stavka+$stavka;

$myzhopa=$posts-$stavka;

$mywin=$posts+$myvalent;

$gmyzhopa=$gbalans-$stavka;

$gmywin=$gbalans+$myvalent;


echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';

if(isset($_GET['case']))
{
$case = $_GET['case'];
}
else
{
$case = "";
}


switch($case)
{
case 'itog':
//
if($stavka>10)
{
echo "Ставка не должна превышать 10 очков<br/>";
echo "<div class=\"d1\">• <a href=\"/games/ugadaika.php?".SID."&amp;ver=html\">Угадайка</a></div>\n";
echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a><br/>";
include('../banners/igra');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
else
{
if($my<"$master")
{
$myzhopa = intval($myzhopa);
$gmyzhopa = intval($gmyzhopa);
@mysql_query("update chat_users set posts='".$myzhopa."', gbalans='".$gmyzhopa."' where id='".$id."'; ");
echo "Вы загадали: ".$my."<br/>";
echo "Мастер загадал: ".$master."<br/>";
echo "Вы проиграли<br/>";
echo "Ваш проигрыш: ".$stavka." постов<br/>";
echo "<div class=\"d1\">• <a href=\"/games/ugadaika.php?".SID."&amp;ver=html\">Угадайка</a></div>\n";
echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a><br/>";
include('../banners/igra');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
}
//
if($my=="$master")
{
$mywin = intval($mywin);
$gmyzhopa = intval($gmyzhopa);
@mysql_query("update chat_users set posts='".$mywin."', gbalans='".$gmyzhopa."' where id='".$id."'; ");
echo "Вы загадали: ".$my."<br/>";
echo "Мастер загадал: ".$master."<br/>";
echo "Вы выиграли<br/>";
echo "Ваш выигрыш: ".$myvalent." постов<br/>";
echo "<div class=\"d1\">• <a href=\"/games/ugadaika.php?".SID."&amp;ver=html\">Угадайка</a></div>\n";
echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a><br/>";
include('../banners/igra');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}

//
if($my>"$master")
{
$myzhopa = intval($myzhopa);
$gmyzhopa = intval($gmyzhopa);
@mysql_query("update chat_users set posts='".$myzhopa."' , gbalans='".$gmyzhopa."' where id='".$id."'; ");
echo "Вы загадали: ".$my."<br/>";
echo "Мастер загадал: ".$master."<br/>";
echo "Вы проиграли<br/>";
echo "Ваш проигрыш: ".$stavka." постов<br/>";
echo "<div class=\"d1\">• <a href=\"/games/ugadaika.php?".SID."&amp;ver=html\">Угадайка</a></div>\n";
echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a><br/>";
include('../banners/igra');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
break;


default:
if($posts<"50")
{
echo "У Вас недостаточно постов для игры!<br/>";
echo "Необходимо не менее 50 постов<br/>";
echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a><br/>";
include('../banners/igra');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
else
{
echo "<b>Угадай число</b><br/>";
echo "У Вас постов: <b>".$posts."</b><br/>";
echo "Игровой баланс: <b>".$gbalans."</b><br/>";
echo "<div class=\"form\">\n";
echo "<form action=\"/games/ugadaika.php?".SID."&amp;ver=html&amp;case=itog\" method=\"post\">\n";
echo "Ваша ставка(от 0 до 10):<br/>\n";
echo "<input name=\"stavka\" value=\"".$stavka."\" size=\"5\"/>";
echo "<br/><input type=\"submit\" value=\"Играть\" /></form>\n";
}
break;
}

if(!empty($case)) echo "<div class=\"d1\">• <a href=\"/games/ugadaika.php?".SID."&amp;ver=html\">Угадайка</a></div>\n";
echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a><br/>";
include('../banners/igra');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
break;
}
?>